corda / net.corda.node.services.messaging / ClientRPCRequestMessage

# ClientRPCRequestMessage

`data class ClientRPCRequestMessage`

The contents of an RPC request message, separated from the MQ layer.

### Constructors

<init> | `ClientRPCRequestMessage(args: SerializedBytes<Array<Any>>, replyToAddress: String, observationsToAddress: String?, methodName: String, user: User)` The contents of an RPC request message, separated from the MQ layer.

### Properties

args | `val args: SerializedBytes<Array<Any>>`
methodName | `val methodName: String`
observationsToAddress | `val observationsToAddress: String?`
replyToAddress | `val replyToAddress: String`
user | `val user: User`

### Companion Object Properties

METHOD_NAME | `const val METHOD_NAME: String`
OBSERVATIONS_TO | `const val OBSERVATIONS_TO: String`
REPLY_TO | `const val REPLY_TO: String`